<?php 
//Identificacion del usuario mediante la informacion entrada
$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba"; 
$bool = "false"; 

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 

 /* Extrae los valores enviados desde la aplicacion movil */
$nickname = mysql_escape_string($_GET['usuario']);
$contrasena = mysql_escape_string(md5($_GET['password']));

/* crea un array con datos arbitrarios que seran enviados de vuelta a la aplicacion */
$resultados = array();
$resultados["hora"] = date("F j, Y, g:i a"); 
$resultados["generador"] = "Redirecting to main menu" ;
//Si el nombre de usuaio esta vacio
if($nickname != ""){
  $sql = "SELECT *FROM usuarios WHERE nickname = '$nickname'";
  $result = mysql_query ($sql);
  // verificamos que no haya error
  if (! $result){
     echo "La consulta SQL contiene errores.".mysql_error();
     exit();
  }else {
      //obtenemos los datos resultado de la consulta
      $row = mysql_fetch_row($result);
      if($row[1] == $contrasena){
            $bool = "true";         
      }              
     
   }
   mysql_close($con);

  if($bool == "true"){
     /*esta informacion se envia solo si la validacion es correcta */
      $resultados["mensaje"] = "Welcome to PhoneFlat";
      $resultados["validacion"] = "ok";
  }else{
      /*esta informacion se envia si la validacion falla */
      $resultados["mensaje"] = "Invalid username or password";
      $resultados["validacion"] = "error";
  }
}else{
    /*esta informacion se envia si la validacion falla */
    $resultados["mensaje"] = "Invalid username or password";
    $resultados["validacion"] = "error";
}
 


 /*convierte los resultados a formato json*/
$resultadosJson = json_encode($resultados);
 
/*muestra el resultado en un formato que no da problemas de seguridad en browsers */
echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');';
 
 ?>